package com.thebrokenrail.gestus.emote;

public enum EmotePart {
    MAIN_ARM("main_arm"),
    OFF_ARM("off_arm"),
    RIGHT_ARM("right_arm"),
    LEFT_ARM("left_arm"),
    RIGHT_LEG("right_leg"),
    LEFT_LEG("left_leg"),
    BODY("body");

    private final String name;

    EmotePart(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
