# File Format
- All emotes are stored in ``data/<namespace>/emotes/<path>.emote``
- All lines that start with ``#`` are comments
- Every non-comment line represents a frame of animation
- In ideal conditions emotes run at 20FPS
- All frames are made up of part rotations separated by spaces
- Parts can only be specified once in a frame

## Part Rotation Format
```
<part> <yaw> <pitch> <roll>
```

## Available Parts
- ``left_leg``
- ``right_leg``
- ``left_arm``
- ``right_arm``
- ``main_arm``
- ``off_arm``
- ``body``
- ``left_arm``/``right_arm`` is not compatible with ``main_arm``/``off_arm``